Bug 1417737 - Cold Merge: Deprecate mergeSnapshots verb
Summary: Cold Merge: Deprecate mergeSnapshots verb
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.19.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.1
: 4.19.5
Assignee: Ala Hino
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 20:06 UTC by Ala Hino
Modified: 2017-04-21 09:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:45:50 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71406 0 ovirt-4.1 MERGED Cold Merge: Deprecate mergeSnapshots vreb 2017-02-01 15:08:41 UTC

Description Ala Hino 2017-01-30 20:06:38 UTC
Description of problem:
Deprecate old cold merge verb

Comment 1 Ala Hino 2017-01-30 20:07:17 UTC
Code change only; nothing to verify

Comment 2 Yaniv Kaul 2017-01-31 10:54:24 UTC
So hosts with 4.0 VDSM would still work? What is 'old' cold merge verb? How old is it?

Comment 3 Ala Hino 2017-01-31 11:26:39 UTC
Absolutely, hosts with 4.0 Vdsm will use the 'old' flow (introduced in 3.1). The fact that we are marking the verb as deprecated doesn't mean that we are removing it, this only states that the API will be removed in a future version.

In a nutshell, the 'old' cold was done using a single SPM verb (that we are marking as deprecated now) where the data copied from base volume to top volume (hence the low performance when base is large and top is small).

Comment 4 Kevin Alon Goldblatt 2017-02-15 18:26:14 UTC
Move to VERIFIED based on comment1 and explanation in comment3
New Cold merge has been tested


Note You need to log in before you can comment on or make changes to this bug.